package com.ruoyi.asset.domain.dto;

import com.ruoyi.asset.domain.TbAsset;
import com.ruoyi.asset.domain.TbAssetBorrowRecord;
import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class TbBorrowRecordDTO extends TbAssetBorrowRecord {
    private TbAsset tbAsset;
    @Excel(name = "借用人工号")
    private String username;

    public TbAsset getTbAsset() {
        return tbAsset;
    }

    public void setTbAsset(TbAsset tbAsset) {
        this.tbAsset = tbAsset;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("tbAsset", getTbAsset())
                .append("username", getUsername())
                .toString();
    }
}
